// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.SourceEditor {
    
    
    internal partial class SearchAndReplaceWidget {
        
        private Gtk.HBox containerBox;
        
        private Gtk.Table table;
        
        private Gtk.Button buttonReplace;
        
        private Gtk.Button buttonReplaceAll;
        
        private Gtk.Button buttonSearchBackward;
        
        private Gtk.Button buttonSearchForward;
        
        private Gtk.Button closeButton;
        
        private Gtk.Image image4;
        
        private Gtk.ComboBoxEntry entryReplace;
        
        private Gtk.ComboBoxEntry entrySearch;
        
        private Gtk.Label label1;
        
        private Gtk.Label labelReplace;
        
        private MonoDevelop.Components.MenuButton optionsButton;
        
        private Gtk.VBox vbox2;
        
        private Gtk.Button buttonSearchMode;
        
        private Gtk.Arrow searchButtonModeArrow;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.SourceEditor.SearchAndReplaceWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.SourceEditor.SearchAndReplaceWidget";
            // Container child MonoDevelop.SourceEditor.SearchAndReplaceWidget.Gtk.Container+ContainerChild
            this.containerBox = new Gtk.HBox();
            this.containerBox.Name = "containerBox";
            this.containerBox.Spacing = 6;
            // Container child containerBox.Gtk.Box+BoxChild
            this.table = new Gtk.Table(((uint)(2)), ((uint)(6)), false);
            this.table.Name = "table";
            this.table.RowSpacing = ((uint)(6));
            this.table.ColumnSpacing = ((uint)(6));
            // Container child table.Gtk.Table+TableChild
            this.buttonReplace = new Gtk.Button();
            this.buttonReplace.CanFocus = true;
            this.buttonReplace.Name = "buttonReplace";
            this.buttonReplace.UseUnderline = true;
            this.buttonReplace.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonReplace.Gtk.Container+ContainerChild
            Gtk.Alignment w1 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w2 = new Gtk.HBox();
            w2.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w3 = new Gtk.Image();
            w3.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-find-and-replace", Gtk.IconSize.Menu, 16);
            w2.Add(w3);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w5 = new Gtk.Label();
            w5.LabelProp = Mono.Unix.Catalog.GetString("Replace");
            w5.UseUnderline = true;
            w2.Add(w5);
            w1.Add(w2);
            this.buttonReplace.Add(w1);
            this.table.Add(this.buttonReplace);
            Gtk.Table.TableChild w9 = ((Gtk.Table.TableChild)(this.table[this.buttonReplace]));
            w9.TopAttach = ((uint)(1));
            w9.BottomAttach = ((uint)(2));
            w9.LeftAttach = ((uint)(3));
            w9.RightAttach = ((uint)(4));
            w9.XOptions = ((Gtk.AttachOptions)(4));
            w9.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.buttonReplaceAll = new Gtk.Button();
            this.buttonReplaceAll.CanFocus = true;
            this.buttonReplaceAll.Name = "buttonReplaceAll";
            this.buttonReplaceAll.UseUnderline = true;
            this.buttonReplaceAll.Relief = ((Gtk.ReliefStyle)(2));
            this.buttonReplaceAll.Label = Mono.Unix.Catalog.GetString("Replace All");
            this.table.Add(this.buttonReplaceAll);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.table[this.buttonReplaceAll]));
            w10.TopAttach = ((uint)(1));
            w10.BottomAttach = ((uint)(2));
            w10.LeftAttach = ((uint)(4));
            w10.RightAttach = ((uint)(5));
            w10.XOptions = ((Gtk.AttachOptions)(4));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.buttonSearchBackward = new Gtk.Button();
            this.buttonSearchBackward.CanFocus = true;
            this.buttonSearchBackward.Name = "buttonSearchBackward";
            this.buttonSearchBackward.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonSearchBackward.Gtk.Container+ContainerChild
            Gtk.Alignment w11 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w12 = new Gtk.HBox();
            w12.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w13 = new Gtk.Image();
            w13.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-go-back", Gtk.IconSize.Menu, 16);
            w12.Add(w13);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w15 = new Gtk.Label();
            w15.LabelProp = Mono.Unix.Catalog.GetString("Find Previous");
            w12.Add(w15);
            w11.Add(w12);
            this.buttonSearchBackward.Add(w11);
            this.table.Add(this.buttonSearchBackward);
            Gtk.Table.TableChild w19 = ((Gtk.Table.TableChild)(this.table[this.buttonSearchBackward]));
            w19.LeftAttach = ((uint)(3));
            w19.RightAttach = ((uint)(4));
            w19.XOptions = ((Gtk.AttachOptions)(4));
            w19.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.buttonSearchForward = new Gtk.Button();
            this.buttonSearchForward.CanFocus = true;
            this.buttonSearchForward.Name = "buttonSearchForward";
            this.buttonSearchForward.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonSearchForward.Gtk.Container+ContainerChild
            Gtk.Alignment w20 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w21 = new Gtk.HBox();
            w21.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w22 = new Gtk.Image();
            w22.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-go-forward", Gtk.IconSize.Menu, 16);
            w21.Add(w22);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w24 = new Gtk.Label();
            w24.LabelProp = Mono.Unix.Catalog.GetString("Find Next");
            w21.Add(w24);
            w20.Add(w21);
            this.buttonSearchForward.Add(w20);
            this.table.Add(this.buttonSearchForward);
            Gtk.Table.TableChild w28 = ((Gtk.Table.TableChild)(this.table[this.buttonSearchForward]));
            w28.LeftAttach = ((uint)(4));
            w28.RightAttach = ((uint)(5));
            w28.XOptions = ((Gtk.AttachOptions)(4));
            w28.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.closeButton = new Gtk.Button();
            this.closeButton.CanFocus = true;
            this.closeButton.Name = "closeButton";
            this.closeButton.Relief = ((Gtk.ReliefStyle)(2));
            // Container child closeButton.Gtk.Container+ContainerChild
            this.image4 = new Gtk.Image();
            this.image4.Name = "image4";
            this.image4.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-close", Gtk.IconSize.Menu, 16);
            this.closeButton.Add(this.image4);
            this.closeButton.Label = null;
            this.table.Add(this.closeButton);
            Gtk.Table.TableChild w30 = ((Gtk.Table.TableChild)(this.table[this.closeButton]));
            w30.XOptions = ((Gtk.AttachOptions)(4));
            w30.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.entryReplace = Gtk.ComboBoxEntry.NewText();
            this.entryReplace.Name = "entryReplace";
            this.table.Add(this.entryReplace);
            Gtk.Table.TableChild w31 = ((Gtk.Table.TableChild)(this.table[this.entryReplace]));
            w31.TopAttach = ((uint)(1));
            w31.BottomAttach = ((uint)(2));
            w31.LeftAttach = ((uint)(2));
            w31.RightAttach = ((uint)(3));
            w31.XPadding = ((uint)(6));
            w31.XOptions = ((Gtk.AttachOptions)(4));
            w31.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.entrySearch = Gtk.ComboBoxEntry.NewText();
            this.entrySearch.Name = "entrySearch";
            this.table.Add(this.entrySearch);
            Gtk.Table.TableChild w32 = ((Gtk.Table.TableChild)(this.table[this.entrySearch]));
            w32.LeftAttach = ((uint)(2));
            w32.RightAttach = ((uint)(3));
            w32.XPadding = ((uint)(6));
            w32.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.Xalign = 0F;
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Find:");
            this.label1.UseUnderline = true;
            this.table.Add(this.label1);
            Gtk.Table.TableChild w33 = ((Gtk.Table.TableChild)(this.table[this.label1]));
            w33.LeftAttach = ((uint)(1));
            w33.RightAttach = ((uint)(2));
            w33.XOptions = ((Gtk.AttachOptions)(4));
            w33.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.labelReplace = new Gtk.Label();
            this.labelReplace.Name = "labelReplace";
            this.labelReplace.LabelProp = Mono.Unix.Catalog.GetString("Replace:");
            this.labelReplace.UseUnderline = true;
            this.table.Add(this.labelReplace);
            Gtk.Table.TableChild w34 = ((Gtk.Table.TableChild)(this.table[this.labelReplace]));
            w34.TopAttach = ((uint)(1));
            w34.BottomAttach = ((uint)(2));
            w34.LeftAttach = ((uint)(1));
            w34.RightAttach = ((uint)(2));
            w34.XOptions = ((Gtk.AttachOptions)(4));
            w34.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table.Gtk.Table+TableChild
            this.optionsButton = new MonoDevelop.Components.MenuButton();
            this.optionsButton.CanFocus = true;
            this.optionsButton.Name = "optionsButton";
            this.optionsButton.UseUnderline = true;
            this.optionsButton.Relief = ((Gtk.ReliefStyle)(2));
            this.optionsButton.UseMarkup = false;
            this.optionsButton.Label = "";
            this.table.Add(this.optionsButton);
            Gtk.Table.TableChild w35 = ((Gtk.Table.TableChild)(this.table[this.optionsButton]));
            w35.LeftAttach = ((uint)(5));
            w35.RightAttach = ((uint)(6));
            w35.XOptions = ((Gtk.AttachOptions)(4));
            w35.YOptions = ((Gtk.AttachOptions)(4));
            this.containerBox.Add(this.table);
            Gtk.Box.BoxChild w36 = ((Gtk.Box.BoxChild)(this.containerBox[this.table]));
            w36.Position = 0;
            w36.Expand = false;
            // Container child containerBox.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.buttonSearchMode = new Gtk.Button();
            this.buttonSearchMode.CanFocus = true;
            this.buttonSearchMode.Name = "buttonSearchMode";
            this.buttonSearchMode.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonSearchMode.Gtk.Container+ContainerChild
            this.searchButtonModeArrow = new Gtk.Arrow(((Gtk.ArrowType)(1)), ((Gtk.ShadowType)(0)));
            this.searchButtonModeArrow.Name = "searchButtonModeArrow";
            this.buttonSearchMode.Add(this.searchButtonModeArrow);
            this.buttonSearchMode.Label = null;
            this.vbox2.Add(this.buttonSearchMode);
            Gtk.Box.BoxChild w38 = ((Gtk.Box.BoxChild)(this.vbox2[this.buttonSearchMode]));
            w38.Position = 0;
            w38.Expand = false;
            w38.Fill = false;
            this.containerBox.Add(this.vbox2);
            Gtk.Box.BoxChild w39 = ((Gtk.Box.BoxChild)(this.containerBox[this.vbox2]));
            w39.PackType = ((Gtk.PackType)(1));
            w39.Position = 1;
            w39.Expand = false;
            w39.Fill = false;
            this.Add(this.containerBox);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
